diff --git a/examples/l2fwd-event/Makefile b/examples/l2fwd-event/Makefile
index 73f02dd3b..08ba1835d 100644
--- a/examples/l2fwd-event/Makefile
+++ b/examples/l2fwd-event/Makefile
@@ -8,6 +8,7 @@ APP = l2fwd-event
 # all source are stored in SRCS-y
 SRCS-y := main.c
 SRCS-y += l2fwd_poll.c
+SRCS-y += l2fwd_event.c
 SRCS-y += l2fwd_common.c
 
 # Build using pkg-config variables if possible
diff --git a/examples/l2fwd-event/l2fwd_common.h b/examples/l2fwd-event/l2fwd_common.h
index 7b5958c7d..cdafa52c7 100644
--- a/examples/l2fwd-event/l2fwd_common.h
+++ b/examples/l2fwd-event/l2fwd_common.h
@@ -65,6 +65,8 @@ struct l2fwd_port_statistics {
 
 struct l2fwd_resources {
 	volatile uint8_t force_quit;
+	uint8_t event_mode;
+	uint8_t sched_type;
 	uint8_t mac_updating;
 	uint8_t rx_queue_per_lcore;
 	uint16_t nb_rxd;
@@ -75,6 +77,7 @@ struct l2fwd_resources {
 	uint32_t dst_ports[RTE_MAX_ETHPORTS];
 	struct rte_ether_addr eth_addr[RTE_MAX_ETHPORTS];
 	struct l2fwd_port_statistics port_stats[RTE_MAX_ETHPORTS];
+	void *event_rsrc;
 	void *poll_rsrc;
 } __rte_cache_aligned;
 
diff --git a/examples/l2fwd-event/l2fwd_event.c b/examples/l2fwd-event/l2fwd_event.c
new file mode 100644
index 000000000..621ff63f0
--- /dev/null
+++ b/examples/l2fwd-event/l2fwd_event.c
@@ -0,0 +1,34 @@
+/* SPDX-License-Identifier: BSD-3-Clause
+ * Copyright(C) 2019 Marvell International Ltd.
+ */
+
+#include <stdbool.h>
+#include <getopt.h>
+
+#include <rte_atomic.h>
+#include <rte_cycles.h>
+#include <rte_ethdev.h>
+#include <rte_eventdev.h>
+#include <rte_event_eth_rx_adapter.h>
+#include <rte_event_eth_tx_adapter.h>
+#include <rte_lcore.h>
+#include <rte_malloc.h>
+#include <rte_spinlock.h>
+
+#include "l2fwd_event.h"
+
+void
+l2fwd_event_resource_setup(struct l2fwd_resources *l2fwd_rsrc)
+{
+	struct l2fwd_event_resources *event_rsrc;
+
+	if (!rte_event_dev_count())
+		rte_exit(EXIT_FAILURE, "No Eventdev found\n");
+
+	event_rsrc = rte_zmalloc("l2fwd_event",
+				 sizeof(struct l2fwd_event_resources), 0);
+	if (event_rsrc == NULL)
+		rte_exit(EXIT_FAILURE, "failed to allocate memory\n");
+
+	l2fwd_rsrc->event_rsrc = event_rsrc;
+}
diff --git a/examples/l2fwd-event/l2fwd_event.h b/examples/l2fwd-event/l2fwd_event.h
new file mode 100644
index 000000000..8ac2dc266
--- /dev/null
+++ b/examples/l2fwd-event/l2fwd_event.h
@@ -0,0 +1,21 @@
+/* SPDX-License-Identifier: BSD-3-Clause
+ * Copyright(C) 2019 Marvell International Ltd.
+ */
+
+#ifndef __L2FWD_EVENT_H__
+#define __L2FWD_EVENT_H__
+
+#include <rte_common.h>
+#include <rte_event_eth_rx_adapter.h>
+#include <rte_event_eth_tx_adapter.h>
+#include <rte_mbuf.h>
+#include <rte_spinlock.h>
+
+#include "l2fwd_common.h"
+
+struct l2fwd_event_resources {
+};
+
+void l2fwd_event_resource_setup(struct l2fwd_resources *l2fwd_rsrc);
+
+#endif /* __L2FWD_EVENT_H__ */
diff --git a/examples/l2fwd-event/main.c b/examples/l2fwd-event/main.c
index 887a979d5..01b1d531d 100644
--- a/examples/l2fwd-event/main.c
+++ b/examples/l2fwd-event/main.c
@@ -2,6 +2,7 @@
  * Copyright(C) 2019 Marvell International Ltd.
  */
 
+#include "l2fwd_event.h"
 #include "l2fwd_poll.h"
 
 /* display usage */
@@ -16,7 +17,12 @@ l2fwd_event_usage(const char *prgname)
 	       "  --[no-]mac-updating: Enable or disable MAC addresses updating (enabled by default)\n"
 	       "      When enabled:\n"
 	       "       - The source MAC address is replaced by the TX port MAC address\n"
-	       "       - The destination MAC address is replaced by 02:00:00:00:00:TX_PORT_ID\n",
+	       "       - The destination MAC address is replaced by 02:00:00:00:00:TX_PORT_ID\n"
+	       "  --mode: Packet transfer mode for I/O, poll or eventdev\n"
+	       "          Default mode = eventdev\n"
+	       "  --eventq-sched: Event queue schedule type, ordered or atomic.\n"
+	       "                  Default: atomic\n"
+	       "                  Valid only if --mode=eventdev\n\n",
 	       prgname);
 }
 
@@ -71,6 +77,26 @@ l2fwd_event_parse_timer_period(const char *q_arg)
 	return n;
 }
 
+static void
+l2fwd_event_parse_mode(const char *optarg,
+		       struct l2fwd_resources *l2fwd_rsrc)
+{
+	if (!strncmp(optarg, "poll", 4))
+		l2fwd_rsrc->event_mode = false;
+	else if (!strncmp(optarg, "eventdev", 8))
+		l2fwd_rsrc->event_mode = true;
+}
+
+static void
+l2fwd_event_parse_eventq_sched(const char *optarg,
+			       struct l2fwd_resources *l2fwd_rsrc)
+{
+	if (!strncmp(optarg, "ordered", 7))
+		l2fwd_rsrc->sched_type = RTE_SCHED_TYPE_ORDERED;
+	else if (!strncmp(optarg, "atomic", 6))
+		l2fwd_rsrc->sched_type = RTE_SCHED_TYPE_ATOMIC;
+}
+
 static const char short_options[] =
 	"p:"  /* portmask */
 	"q:"  /* number of queues */
@@ -79,6 +105,8 @@ static const char short_options[] =
 
 #define CMD_LINE_OPT_MAC_UPDATING "mac-updating"
 #define CMD_LINE_OPT_NO_MAC_UPDATING "no-mac-updating"
+#define CMD_LINE_OPT_MODE "mode"
+#define CMD_LINE_OPT_EVENTQ_SCHED "eventq-sched"
 
 enum {
 	/* long options mapped to a short option */
@@ -87,6 +115,8 @@ enum {
 	 * conflict with short options
 	 */
 	CMD_LINE_OPT_MIN_NUM = 256,
+	CMD_LINE_OPT_MODE_NUM,
+	CMD_LINE_OPT_EVENTQ_SCHED_NUM,
 };
 
 /* Parse the argument given in the command line of the application */
@@ -98,6 +128,10 @@ l2fwd_event_parse_args(int argc, char **argv,
 	struct option lgopts[] = {
 		{ CMD_LINE_OPT_MAC_UPDATING, no_argument, &mac_updating, 1},
 		{ CMD_LINE_OPT_NO_MAC_UPDATING, no_argument, &mac_updating, 0},
+		{ CMD_LINE_OPT_MODE, required_argument, NULL,
+							CMD_LINE_OPT_MODE_NUM},
+		{ CMD_LINE_OPT_EVENTQ_SCHED, required_argument, NULL,
+						CMD_LINE_OPT_EVENTQ_SCHED_NUM},
 		{NULL, 0, 0, 0}
 	};
 	int opt, ret, timer_secs;
@@ -145,6 +179,14 @@ l2fwd_event_parse_args(int argc, char **argv,
 			l2fwd_rsrc->timer_period *= rte_get_timer_hz();
 			break;
 
+		case CMD_LINE_OPT_MODE_NUM:
+			l2fwd_event_parse_mode(optarg, l2fwd_rsrc);
+			break;
+
+		case CMD_LINE_OPT_EVENTQ_SCHED_NUM:
+			l2fwd_event_parse_eventq_sched(optarg, l2fwd_rsrc);
+			break;
+
 		/* long options */
 		case 0:
 			break;
@@ -332,7 +374,11 @@ main(int argc, char **argv)
 			"All available ports are disabled. Please set portmask.\n");
 	}
 
-	l2fwd_poll_resource_setup(l2fwd_rsrc);
+	/* Configure eventdev parameters if required */
+	if (l2fwd_rsrc->event_mode)
+		l2fwd_event_resource_setup(l2fwd_rsrc);
+	else
+		l2fwd_poll_resource_setup(l2fwd_rsrc);
 
 	/* initialize port stats */
 	memset(&l2fwd_rsrc->port_stats, 0,
diff --git a/examples/l2fwd-event/meson.build b/examples/l2fwd-event/meson.build
index f482e1817..84ee1af84 100644
--- a/examples/l2fwd-event/meson.build
+++ b/examples/l2fwd-event/meson.build
@@ -11,4 +11,5 @@ sources = files(
 	'main.c',
 	'l2fwd_poll.c',
 	'l2fwd_common.c',
+	'l2fwd_event.c',
 )