diff --git a/examples/ipsec-secgw/test/bypass_defs.sh b/examples/ipsec-secgw/test/bypass_defs.sh
index 12a8a5aff..d8d54833c 100644
--- a/examples/ipsec-secgw/test/bypass_defs.sh
+++ b/examples/ipsec-secgw/test/bypass_defs.sh
@@ -28,7 +28,7 @@ EOF
 	cat ${SGW_CFG_FILE}
 }
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_3descbc_sha1_defs.sh b/examples/ipsec-secgw/test/trs_3descbc_sha1_defs.sh
index 31f94492f..35c31dc77 100644
--- a/examples/ipsec-secgw/test/trs_3descbc_sha1_defs.sh
+++ b/examples/ipsec-secgw/test/trs_3descbc_sha1_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_3descbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_atom_defs.sh b/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_atom_defs.sh
index d7439ad15..c640720de 100644
--- a/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/trs_3descbc_sha1_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_defs.sh b/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_defs.sh
index e4283f3dd..7b62dcfbf 100644
--- a/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_defs.sh
+++ b/examples/ipsec-secgw/test/trs_3descbc_sha1_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_3descbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_aescbc_sha1_defs.sh b/examples/ipsec-secgw/test/trs_aescbc_sha1_defs.sh
index d68552fce..ae20fa96d 100644
--- a/examples/ipsec-secgw/test/trs_aescbc_sha1_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aescbc_sha1_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_aescbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_atom_defs.sh b/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_atom_defs.sh
index f16222e11..ee7c0a37f 100644
--- a/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/trs_aescbc_sha1_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_defs.sh b/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_defs.sh
index ce7c977a3..5f8b0992e 100644
--- a/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aescbc_sha1_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_aescbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_aesctr_sha1_defs.sh b/examples/ipsec-secgw/test/trs_aesctr_sha1_defs.sh
index 73642f881..5d569ec5f 100644
--- a/examples/ipsec-secgw/test/trs_aesctr_sha1_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aesctr_sha1_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_aesctr_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_atom_defs.sh b/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_atom_defs.sh
index 17c81c267..14066ffd4 100644
--- a/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/trs_aesctr_sha1_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_defs.sh b/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_defs.sh
index e401a4bed..05ed98254 100644
--- a/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aesctr_sha1_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_aesctr_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_aesgcm_defs.sh b/examples/ipsec-secgw/test/trs_aesgcm_defs.sh
index 8382d3d52..ca872df33 100644
--- a/examples/ipsec-secgw/test/trs_aesgcm_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aesgcm_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_aesgcm_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/trs_aesgcm_esn_atom_defs.sh b/examples/ipsec-secgw/test/trs_aesgcm_esn_atom_defs.sh
index 80d8d63b8..2d3ae057b 100644
--- a/examples/ipsec-secgw/test/trs_aesgcm_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aesgcm_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/trs_aesgcm_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/trs_aesgcm_esn_defs.sh b/examples/ipsec-secgw/test/trs_aesgcm_esn_defs.sh
index 94958d199..d4cb10810 100644
--- a/examples/ipsec-secgw/test/trs_aesgcm_esn_defs.sh
+++ b/examples/ipsec-secgw/test/trs_aesgcm_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/trs_aesgcm_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_3descbc_sha1_defs.sh b/examples/ipsec-secgw/test/tun_3descbc_sha1_defs.sh
index 2bbe14292..63df5a4a4 100644
--- a/examples/ipsec-secgw/test/tun_3descbc_sha1_defs.sh
+++ b/examples/ipsec-secgw/test/tun_3descbc_sha1_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_3descbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_atom_defs.sh b/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_atom_defs.sh
index 1d8e36cbd..316331c14 100644
--- a/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/tun_3descbc_sha1_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_defs.sh b/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_defs.sh
index 98349c7bc..cded9289e 100644
--- a/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_defs.sh
+++ b/examples/ipsec-secgw/test/tun_3descbc_sha1_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_3descbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_aescbc_sha1_defs.sh b/examples/ipsec-secgw/test/tun_aescbc_sha1_defs.sh
index 18aade3a9..40607a76f 100644
--- a/examples/ipsec-secgw/test/tun_aescbc_sha1_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aescbc_sha1_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_aescbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_atom_defs.sh b/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_atom_defs.sh
index 6b4a82149..d2b70ffe1 100644
--- a/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/tun_aescbc_sha1_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_defs.sh b/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_defs.sh
index 28c1125d6..e95157e67 100644
--- a/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aescbc_sha1_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_aescbc_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_aesctr_sha1_defs.sh b/examples/ipsec-secgw/test/tun_aesctr_sha1_defs.sh
index 3710f897c..1fee29165 100644
--- a/examples/ipsec-secgw/test/tun_aesctr_sha1_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aesctr_sha1_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_aesctr_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_atom_defs.sh b/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_atom_defs.sh
index 7dcfc3218..ba0506a23 100644
--- a/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/tun_aesctr_sha1_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_defs.sh b/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_defs.sh
index c3ce11da1..0dfe47b08 100644
--- a/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aesctr_sha1_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_aesctr_sha1_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_aesgcm_defs.sh b/examples/ipsec-secgw/test/tun_aesgcm_defs.sh
index 8ae65321b..b4be0596f 100644
--- a/examples/ipsec-secgw/test/tun_aesgcm_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aesgcm_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_aesgcm_common_defs.sh
 
-SGW_CMD_XPRM='-w 300'
+SGW_CMD_XPRM='-w 300 -l'
 
 config_remote_xfrm()
 {
diff --git a/examples/ipsec-secgw/test/tun_aesgcm_esn_atom_defs.sh b/examples/ipsec-secgw/test/tun_aesgcm_esn_atom_defs.sh
index dab1460c8..79df9ee8c 100644
--- a/examples/ipsec-secgw/test/tun_aesgcm_esn_atom_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aesgcm_esn_atom_defs.sh
@@ -2,4 +2,4 @@
 
 . ${DIR}/tun_aesgcm_esn_defs.sh
 
-SGW_CMD_XPRM='-e -a -w 300'
+SGW_CMD_XPRM='-e -a -w 300 -l'
diff --git a/examples/ipsec-secgw/test/tun_aesgcm_esn_defs.sh b/examples/ipsec-secgw/test/tun_aesgcm_esn_defs.sh
index 606232349..3c374631d 100644
--- a/examples/ipsec-secgw/test/tun_aesgcm_esn_defs.sh
+++ b/examples/ipsec-secgw/test/tun_aesgcm_esn_defs.sh
@@ -2,7 +2,7 @@
 
 . ${DIR}/tun_aesgcm_common_defs.sh
 
-SGW_CMD_XPRM='-e -w 300'
+SGW_CMD_XPRM='-e -w 300 -l'
 
 config_remote_xfrm()
 {